import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/svg.dart';
import 'package:gap/gap.dart';
import 'package:get/get.dart';
import 'package:lottie/lottie.dart';
import 'package:traderscircuit/Utils/text.dart';

import '../../../Utils/Common/commonBotton.dart';

class TicketConfirmedBottomSheet {
  bottomSheet(
    BuildContext context,
  ) {
    return showModalBottomSheet(
      useSafeArea: true,
      isScrollControlled: true,
      context: context,
      backgroundColor: const Color(0xFF101111),
      isDismissible: false,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.only(
          topLeft: Radius.circular(8.r),
          topRight: Radius.circular(8.r),
        ),
      ),
      builder: (BuildContext context) {
        return Container(
          padding: const EdgeInsets.symmetric(vertical: 8, horizontal: 20),
          child: Wrap(
            children: [
              Column(
                mainAxisAlignment: MainAxisAlignment.center,
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  Row(
                    crossAxisAlignment: CrossAxisAlignment.end,
                    mainAxisAlignment: MainAxisAlignment.end,
                    children: [
                      GestureDetector(
                          onTap: () {
                            Get.back();
                          },
                          child: SvgPicture.asset(
                              "assets/images/svg/cross_cancel.svg")),
                    ],
                  ),
                  const Gap(22),
                  Lottie.asset(
                    'assets/images/png/check_lottie.json',
                    width: 140,
                    height: 140,
                  ),
                  const Gap(10),
                  text18W600("#18663765"),
                  const Gap(8),
                  text18W400(
                    "Your ticket has been created successfully. our support team will get back to you in 24-48 business hours.",
                    texAl: TextAlign.center,
                    heightV: 2,
                  ),
                  const Gap(35),
                  SizedBox(
                    width: Get.width,
                    child: kycBtn(
                      text: "Done",
                      onTap: () {
                        Get.back();
                      },
                      bgClr: const Color(0xFF6C0000),
                      borderClr: const Color(0xFF990000),
                    ),
                  ),
                  const Gap(30),
                ],
              )
            ],
          ),
        );
      },
    );
  }
}
